0 Replies Latest reply: Oct 26, 2013 9:51 AM by nikkolawrence
nikkolawrence Level 1 Level 1 (0 points)

Hi, i cannot update my iOS to new one because of the gevey sim that i am using and i cannot use instagram, error is "i need to update IG from app store". Is there a way to use instagram even if i am on iOS 4.3.3? Thanks!


iPhone 4, iOS 4.3.3, Baseband 4.10.01